{% extends "layout.html" %}

{% block body %}
<p>
  Hoi {{user.firstName}} 
</p>
<p>
{% if user.isMemberOfSection %}
   Willkommen du bist Mitglied bei unserer Sektion, wir freuen uns auf gemeinsame Touren. 
{% elseif user.isMemberOfSac > 0 %}
   Willkommen du bist Mitglied beim SAC, aber (noch) nicht bei unserer Sektion, schau doch einmal bei unseren Touren vorbei.
{% else %}
   Willkommen du bist leider noch kein Mitglied beim SAC. <br>
   Gerne kannst du als Gast einmal auf unseren Touren vorbeischauen, um uns kennen zu lernen.
{% endif %} 
</p>
<p>
  <!-- 
    ROLES
    ******
    {% for role in roles %}
      - {{ role }}
    {% endfor %}
  -->
  <u>Deine Daten</u><br> <br>

  {{user.firstName}} {{user.lastName}} <br>  
  {{user.street}} <br>
  {{user.postal}} {{user.city}} <br> 
  <br>
  {{user.phoneHome}} <br>
  {{user.phoneMobile}} <br> 
  <br>
  Mitglied {{user.memberId}}  <br>
  Sektion {{user.sectionIds | join(' ')}} <br> <br>

  <a class="btn btn-primary sac-red " href="https://www.sac-cas.ch/de/mein-sac/meinedaten/" role="button">Bearbeiten beim SAC Zentralverband</a>
</p>
<div style="text-align: left;">
<h5>Userinfo Response - Erste Abfrage:</h5>
<pre>
{{ userInfoPrettyFirst }}
</pre>
<h5>Userinfo Response - Nach Token Refresh:</h5>
<pre>
{{ userInfoPrettySecond }}
</pre>


</div>


{% endblock %}

{% block buttons %}

<a class="btn btn-primary sac-red " href="/logout" role="button">Abmelden</a>

{% endblock %}